Summary: Fedora configuration files for the apt-rpm package manager
Name: fedora-package-config-apt
Version: 16.00
Release: 14%{?dist}
# Nothing in here has copyright, much less license attribution, however,
# since this is "upstream", we'll take this statement as the author's intent,
# and use GPL+ here (since no version is specified).
License: GPL+
URL: http://fedoraproject.org/

# 100-149 for sources.list.d
Source100:      fedora.list
Source101:      fedora-updates.list
Source102:      fedora-devel.list

# 150-199 for apt.conf.d
# additional "factory defaults" for fedora
Source150:      fedora.conf

# 200-249 for additional trusted gpg keys

# 250-299 for vendor.list.d
Source250:      fedora-vendor.list

BuildArch: noarch
# We need an apt that speaks repo-md
Requires: apt >= 0.5.15lorg3
Provides: apt-config

%description
This package contains apt-rpm configuration files for Fedora (Release and
Updates).

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/apt/apt.conf.d
mkdir -p %{buildroot}%{_sysconfdir}/apt/sources.list.d
mkdir -p %{buildroot}%{_sysconfdir}/apt/vendors.list.d

# install config parts
install -pm 644 %{SOURCE150} %{buildroot}%{_sysconfdir}/apt/apt.conf.d/

# Fedora fingerprint
install -pm 644 %{SOURCE250} \
  %{buildroot}%{_sysconfdir}/apt/vendors.list.d/fedora.list

# Default source list entries
for source in %{SOURCE100} %{SOURCE101} %{SOURCE102}; do
  install -pm 644 $source %{buildroot}%{_sysconfdir}/apt/sources.list.d/
done


%files
# NOTE: no noreplace because we WANT to be able to change the defaults
# without user intervention!
%config %{_sysconfdir}/apt/apt.conf.d/fedora.conf
%config %{_sysconfdir}/apt/sources.list.d/*
%config %{_sysconfdir}/apt/vendors.list.d/*


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 16.00-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 16.00-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 16.00-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Sep 25 2017 Matthew Miller <mtatdm@fedoraproject.org> - 16.00-11
- add dist tag as per guidelines https://fedoraproject.org/wiki/Packaging:DistTag

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 16.00-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 16.00-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 16.00-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 16.00-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 16.00-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 16.00-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 16.00-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 16.00-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 16.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri May 06 2011 Panu Matilainen <pmatilai@redhat.com> - 16.00-1
- Adjust sources to current rawhide layout, bump version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 13.89-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul  5 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 13.89-7
- Update to F14 rawhide.

* Fri Nov 20 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 12.89-6
- Update to F13 rawhide.

* Sat Jul 18 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 11.89-4
- Use MM URLs.

* Tue Apr 14 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 10.92-3
- Fix URL and Description (RH bug #484096).

* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 9.89-2
- fix license tag

* Sat May 17 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 9.89-1
- Update sources.

* Fri Nov 16 2007 Panu Matilainen <pmatilai@redhat.com> - 8.89-1
- Update to post-F8
- Add separate sourcelist for development repository
- Enable devel repo, disable everything else

* Fri Jun  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 7.89-8
- Update to post-F7.

* Fri Jun  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 7-7
- Update to F7.

* Thu Nov 23 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 6.89-6
- Add xen and PAE to possible kernel flavours.

* Sat May 20 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Move some FC specific config bits from apt.

* Thu May 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 5.89-3
- Apply comments from review #191040c3 (by Ville).
  - Fix summary and description
  - Config files are arch-independent, so we should become noarch
  - Create versioned dependency on apt (make sure it's repo-md capable)
    This creates a circular dependency which should not impose any
    issues.

* Tue May  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 5.89-2
- Fix whitespace (by Panu in bug #191040c1).

* Mon May  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 5.89-1
- Split off configuration files from apt.

